//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using CommunityServer;
using CommunityServer.Components;

namespace CommunityServer.Files.Components 
{
	public class UserDownloadSet 
	{
		ArrayList userDownloads = new ArrayList();
		int totalRecords = 0;

		public int TotalRecords 
		{
			get 
			{
				return totalRecords;
			}
			set 
			{
				totalRecords = value;
			}
		}

		public ArrayList UserDownloads 
		{
			get 
			{
				return userDownloads;
			}
		}

		public bool HasResults 
		{
			get 
			{
				if (userDownloads.Count > 0)
					return true;

				return false;
			}
		}

	}
}